XKBCLI(1)

NAME
xkbcli - tool to interact with XKB keymaps

SYNOPSIS
xkbcli command [arguments]
xkbcli [--help | --version]

DESCRIPTION
xkbcli is a commandline tool to query, compile and test XKB keymaps, layouts and other elements.

--help
    Print help and exit

--version
    Print the version and exit

  COMMANDS

compile-keymap
    Compile an XKB keymap, see xkbcli-compile-keymap(1)

how-to-type
    Show how to type a given Unicode codepoint, see xkbcli-how-to-type(1)

interactive-x11
    Interactive debugger for XKB keymaps for X11, see xkbcli-interactive-x11(1)

interactive-wayland
    Interactive debugger for XKB keymaps for Wayland, see xkbcli-interactive-wayland(1)

interactive-evdev
    Interactive debugger for XKB keymaps for evdev, see xkbcli-interactive-evdev(1)

list
    List available layouts and more, see xkbcli-list(1)

Note that not all tools may be available on your system.

EXIT STATUS
0   exited successfully
1   an error occured
2   program was called with invalid arguments

SEE ALSO
The libxkbcommon online documentation: https://xkbcommon.org